Browse Source

Fix build of monasca-grafana

This patch is adding libffi-dev to build_packages
for Debian/Ubuntu which is fixing monasca-grafana build.

Change-Id: I67f93687d70f1c8c92719857cbf74971d9a17ae6
changes/18/768018/3
Michal Arbet 10 months ago
committed by Marcin Juszkiewicz
parent
commit
88d4895335
  1. 25
      docker/monasca/monasca-grafana/Dockerfile.j2

25
docker/monasca/monasca-grafana/Dockerfile.j2

@ -11,29 +11,30 @@ LABEL maintainer="{{ maintainer }}" name="{{ image_name }}" build-date="{{ build
{% if base_package_type == 'rpm' %}
{% set monasca_grafana_build_packages = [
'golang',
'git',
'npm',
'bzip2',
'fontconfig',
'gcc-c++',
'git',
'golang',
'make',
'npm',
'rpm-build',
'ruby',
'ruby-devel',
'fontconfig',
'rpm-build'
'ruby-devel'
] %}
{% elif base_package_type == 'deb' %}
{% set monasca_grafana_build_packages = [
'golang',
'git',
'npm',
'bzip2',
'fontconfig',
'g++',
'git',
'golang',
'libffi-dev',
'make',
'npm',
'rpm',
'ruby',
'ruby-dev',
'fontconfig',
'rpm'
'ruby-dev'
] %}
{% endif %}

Loading…
Cancel
Save